#
# spec file for package yast2-instserver (Version 2.13.11)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison blocxx boost bzip2 coreutils cpio cpp cracklib curl cvs cyrus-sasl db dbus-1 dbus-1-glib dejagnu desktop-translations diffutils e2fsprogs expat expect file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip hal hwinfo info insserv klogd less libacl libattr libcom_err libgcc libicu libidn libnscd libstdc++ libstdc++-devel libtool libusb libxcrypt libxml2 libxml2-devel liby2util liby2util-devel libzio libzypp m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openslp openssl pam pam-modules patch pcre pcre-devel perl perl-XML-Writer permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysfsutils sysvinit tar tcl tcpd texinfo timezone unzip update-desktop-files util-linux vim wireless-tools yast2 yast2-core yast2-core-devel yast2-devtools yast2-hardware-detection yast2-pkg-bindings yast2-slp yast2-testsuite zlib zlib-devel

Name:           yast2-instserver
URL:            http://www.suse.com/
Version:        2.13.11
Release:        1.2
License:        GPL
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-instserver-2.13.11.tar.bz2
prefix:		/usr
BuildRequires:  perl-XML-Writer update-desktop-files yast2 yast2-devtools yast2-slp yast2-testsuite
Requires:       yast2, yast2-slp
BuildArchitectures:	noarch
Summary:        Installation Server Configuration and Management

%description
This packages allows you to configure an installation server suitable
for installaing SuSE Linux over the network. Currently FTP, HTTP and
NFS sources are supported.



Authors:
--------
    Ladislav Slezak <lslezak@suse.cz>
    Anas Nashif <nashif@suse.de>

%debug_package
%prep
%setup -n yast2-instserver-2.13.11

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%dir /usr/share/YaST2/include/instserver
/usr/share/YaST2/include/instserver/*
/usr/share/YaST2/clients/instserver.ycp
/usr/share/YaST2/modules/Instserver.*
%{prefix}/share/applications/YaST2/instserver.desktop
%doc %{prefix}/share/doc/packages/yast2-instserver
/etc/YaST2/instserver
/etc/apache2/conf.d/inst_server.conf.in
/usr/share/YaST2/scrconf/*.scr
/usr/lib/YaST2/servers_non_y2/ag_*
%dir /etc/apache2
%dir /etc/apache2/conf.d

%changelog -n yast2-instserver
* Thu Jun 08 2006 - lslezak@suse.cz
- display an error message when copying files fails (#179387)
- 2.13.11
* Wed Jun 07 2006 - lslezak@suse.cz
- fixed the workflow - configure the server at first (#179766)
- refresh MD5SUM files in a standalone product only when it's
  required (number of CDs is 2 or more)
- 2.13.10
* Thu May 18 2006 - lslezak@suse.cz
- ask for an add-on product only if the product is pre-CODE10
  (#170729)
- don't touch MD5SUMS file in setup/descr subdir (SHA1 sum is in
  signed content file, it could potentionally break signed sources)
- don't recreate MD5SUMS for standalone products
- read content file from CD1 only once (required for SLES9, there
  is CORE9 CD1)
- 2.13.9
* Tue May 16 2006 - jsuchome@suse.cz
- recreate MD5SUMS files after copying CDs (#175040)
* Fri May 12 2006 - jsuchome@suse.cz
- when creating installation source, use the content file from
  first CD and create actual directory.yast (#171157)
- 2.13.8
* Thu Mar 02 2006 - lslezak@suse.cz
- removed yast2-devel-packages macro from .spec file
- 2.13.7
* Mon Dec 19 2005 - jsuchome@suse.cz
- merged texts from proofreading
- 2.13.6
* Wed Oct 26 2005 - lslezak@suse.cz
- use rescue file (and other files) from a service pack (#95413)
- fixed creating of the order files
- remove deleted sources correctly
- workaround for NLD9 (#128062)
- 2.13.5
* Wed Oct 19 2005 - lslezak@suse.cz
- remove partialy configured source if configuration is aborted
- use a new popup for copying additional media instead of
  the checkbox
- fixed help texts
- 2.13.4
* Tue Oct 11 2005 - lslezak@suse.cz
- don't reset xinetd configuration when FTP service is
  set up (#121885)
- 2.13.3
* Fri Oct 07 2005 - lslezak@suse.cz
- updated the help texts
- 2.13.2
* Wed Oct 05 2005 - lslezak@suse.cz
- CD drive is configurable (instead of hardcoded /dev/cdrom)
- split the configuration dialog, the workflow adapted
- also edit/delete files in the repository
- 2.13.1
* Fri Sep 30 2005 - lslezak@suse.cz
- use WizardHW for the overview dialog, code cleanup
- MountBind() fixed
- 2.13.0
* Thu Aug 11 2005 - visnov@suse.cz
- mark up help examples according to the style guide
* Thu Jul 28 2005 - lslezak@suse.cz
- updated desktop file
- 2.12.3
* Thu May 26 2005 - lslezak@suse.cz
- update SLP registration file when export type (FTP,NFS...)
  is changed, remove it when SLP is disabled (#83909)
- 2.12.2
* Tue May 17 2005 - lslezak@suse.cz
- another fix for FTP configuration (#82861)
- 2.12.1
* Tue May 17 2005 - lslezak@suse.cz
- fixed FTP source configuration (#82861)
- 2.12.0
* Wed Feb 09 2005 - nashif@suse.de
- Save configuration data into /etc/YaST2/instserver
* Mon Nov 15 2004 - nashif@suse.de
- Fixed sformat syntax
* Fri Nov 05 2004 - nashif@suse.de
- #47946: YaST2 install server module requests "NUX Exnterprise.."
- #47936: YaST installation server module asks for SLES9-SP1 CD4
* Tue Nov 02 2004 - nashif@suse.de
- #47701: announcing instserver dir via slp does not work
- #47564: yast2-installserver fails to configure httpd
- #47599: YaST "Installation Server" does not accept SP1 CD2 iso
* Sat Oct 09 2004 - nashif@suse.de
- #47047: Service pack not copied correctly because of special
  format(hardlinks).
- Use flag SP to identify Service pack CD
* Tue Aug 10 2004 - nashif@suse.de
- Disable test mode
* Tue Aug 10 2004 - nashif@suse.de
- If required packages cant be installed, return to setup screen.
  (#43628)
* Mon Aug 09 2004 - nashif@suse.de
- SLP not functional after adding sles9 and sles9 eval (#43466):
  Now we use the product ID to distinguish between sources with
  same Label.
  Also detect if same product ID is already available and add a
  counter to description attribute to make it unique
* Wed Jul 07 2004 - nashif@suse.de
- Install Server setup doesn't work for SuSE Linux 9.1 (#42536)
* Wed May 26 2004 - nashif@suse.de
- Added documentation about network installation
* Tue May 25 2004 - nashif@suse.de
- Fixed label and requested CD for Service Packs and  addon products
  (#40816 )
* Thu May 20 2004 - nashif@suse.de
- instorder file has only one column according to the specification
* Mon May 17 2004 - nashif@suse.de
- Add +FollowSymLinks to apache configuration
* Mon May 17 2004 - nashif@suse.de
- Use product name from media file (#40656)
- Allow dot in source name (#40657)
* Thu May 13 2004 - nashif@suse.de
- Fixed dialog loop when checking for directory permissions (#40260)
* Mon May 10 2004 - nashif@suse.de
- Ask for the right Product CD if product is based on something
  else.
- check if slp server is running and start it if not. (#40260)
- check if directory to contain sources is writable (#40260)
* Mon May 10 2004 - nashif@suse.de
- Do not allow special charachters in source name (#40260)
* Fri Apr 30 2004 - nashif@suse.de
- dont announce empty attributes (#39669)
- content file of base product changed (#39276)
* Fri Apr 16 2004 - nashif@suse.de
- Create multiple sources using CORE/SLES installation media
- Reload SLP daemon when needed only
- Support additional product media
* Fri Apr 02 2004 - nashif@suse.de
- License changed to GPL
* Fri Mar 12 2004 - nashif@suse.de
- Use apache2
- 2.9.6
* Tue Mar 09 2004 - nashif@suse.de
- disabled test mode
- 2.9.5
* Fri Mar 05 2004 - nashif@suse.de
- strict types
- 2.9.4
* Tue Mar 02 2004 - nashif@suse.de
- Renamed agent to avoid conflict
- 2.9.3
* Mon Mar 01 2004 - nashif@suse.de
- Merged proofread texts
- 2.9.1
* Sun Feb 29 2004 - nashif@suse.de
- Support for SLES8/ SLES8 products
- Support for adding from ISO images
- HTTP/NFS/FTP support
* Tue Feb 10 2004 - nashif@suse.de
- initial version
